Subject: [PATCH] doc: fix description for extra-content-ahead

From: [email-masked]
Date: Wed, 27 Jul 2022 02:07:23 +0800

From: tiantian <[email-masked]>

Hello,

After reading other people's patch emails, I was surprised to find
that I can write common messages. Before, I thought I had to follow
the format of commit logs.

Sorry, due to my first time sending a patch, tension and poor English
lead to guix.texi is wrong. I'm so sorry.

The original purpose of this patch is to solve the problem
that log_format can't used, when we don't use an existing file.
log_format must be placed in http block and before using it.
Current nginx-configuration can't meet this requirement.

Honestly, just to solve the problem, adding log-formats field
may be enough. But, I don't think there is only one problem that
log_format can't be used. I think there may be other directives
like log_format can't be used. So, I add a field to place extra content
before server blocks and upstream blocks. It is simple and flexible.

I am a novice, whether using nginx or submitting patches. If I make mistakes,
please correct me, thank you.

Thanks,
tiantian

* doc/guix.texi(Web Services): Correct the description of
extra-content-ahead in nginx-configuration.
---
 doc/guix.texi | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/doc/guix.texi b/doc/guix.texi
index 83cf86c8f4..b5e17564d4 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -28697,7 +28697,8 @@ Web Services
 valued G-expression.
 
 @item @code{extra-content-ahead} (default: @code{""})
-Like extra-content, but it's located at upstream blocks and server blocks.
+Like @code{extra-content} above, but it's located at ahead of
+@code{upstream-blocks} and @code{server-blocks}.
 
 @end table
 @end deffn
-- 
2.37.1